{
  "name": "ts-template",
  "type": "module",
  "version": "0.0.0",
  "private": true,
  "scripts": {
    "dev": "vite --open",
    "build": "vite build",
    "preview": "vite preview",
    "check": "vue-tsc --noEmit",
    "lint": "eslint .",
    "lint:fix": "eslint . --fix",
    "prepare": "husky install"
  },
  "dependencies": {
    "@element-plus/icons-vue": "^2.1.0",
    "@vueuse/core": "^9.6.0",
    "axios": "^0.27.2",
    "echarts": "^5.4.0",
    "element-plus": "^2.2.26",
    "loadsh": "^0.0.4",
    "lodash-es": "^4.17.21",
    "md5": "^2.3.0",
    "tinymce": "^6.3.1",
    "vue": "^3.2.45",
    "vue-router": "^4.1.6"
  },
  "devDependencies": {
    "@antfu/eslint-config": "^0.27.0",
    "@iconify/json": "^2.1.150",
    "@types/lodash-es": "^4.17.7",
    "@types/md5": "^2.3.2",
    "@types/node": "^18.11.12",
    "@vitejs/plugin-vue": "^3.2.0",
    "@windicss/plugin-scrollbar": "^1.2.3",
    "eslint": "^8.29.0",
    "husky": "^8.0.2",
    "magic-string": "^0.26.7",
    "sass": "^1.56.2",
    "typescript": "^4.9.4",
    "unplugin-auto-import": "^0.10.3",
    "unplugin-icons": "^0.14.14",
    "unplugin-vue-components": "^0.22.11",
    "vite": "^3.2.5",
    "vite-plugin-windicss": "^1.8.8",
    "vue-tsc": "^0.38.9",
    "windicss": "^3.5.6"
  },
  "eslintConfig": {
    "extends": [
      "@antfu",
      "./.eslintrc-auto-import.json"
    ],
    "overrides": [
      {
        "files": [
          "*.js",
          "*.ts",
          "*.vue"
        ],
        "rules": {
          "no-console": "off",
          "semi": "off",
          "comma-dangle": "off"
        }
      }
    ]
  }
}
